//
//  JFresponseModel.m
//  MoistureOil
//
//  Created by nana on 2020/4/1.
//  Copyright © 2020 idankee. All rights reserved.
//

#import "JFResponseModel.h"

@implementation JFResponsePageModel
@end

@implementation JFResponseMsgModel
@end


@implementation JFResponseModel
+(NSDictionary *)mj_replacedKeyFromPropertyName {
    return @{@"MSG" : @"msg"};
}

- (void)setData:(NSObject *)data {
    if (!_records) {
        _records = data;
    }
    _data = data;
}

- (void)setRecords:(NSObject *)records {
    if (!_data) {
        _data =records;
    }
    _records = records;
}
- (void)setMsg:(JFResponseMsgModel *)msg {
    _msg = msg;
    _MSG = msg.returnMsg;
    _code = msg.returnCode;
}
- (void)setMSG:(NSString *)MSG {
    if (!_msg) {
        _msg = [JFResponseMsgModel new];
    }
    _MSG = MSG;
    _msg.returnMsg = MSG;
}

- (void)setCode:(NSString *)code {
    if (!_msg) {
        _msg = [JFResponseMsgModel new];
    }
    _code = code;
    _msg.returnCode = code;
}
@end
